%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")

%define _rbindir %{_exec_prefix}/bin
########################################################################
# On CentOS/RHEL, if the Software Configurations Library is installed
# and Python 2.7 is installed, then it is used. This is only available
# on CentOS 6.5 for the x86_64 architecture, at this time.
########################################################################
%define __SCL	%(if [ -d /opt/rh/python27 ]; then echo 1; else echo 0; fi)

%if 0%{?__SCL} > 0 
	%define PYTHON     python27
	%define python_sitelib_old_1 %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
	%define python_sitelib_old_2 %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=True)")
	%define python_sitelib %(echo python -c '"from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)"' | scl enable python27 -)
	%define _SCL_base %(echo $(dirname $(dirname `echo which python | scl enable python27 -`)))
	%define _bindir %(dirname `echo which python | scl enable python27 -`)
	%define _datadir %{_SCL_base}/share
	%define _mandir %{_datadir}/man
	%define _docdir %{_datadir}/doc
	%define  __os_install_post	\
	    /usr/lib/rpm/redhat/brp-compress; \
	    %{!?__debug_package:/usr/lib/rpm/redhat/brp-strip %{__strip}}; \
	    /usr/lib/rpm/redhat/brp-strip-static-archive %{__strip}; \
	    /usr/lib/rpm/redhat/brp-strip-comment-note %{__strip} %{__objdump}; \
	    echo /usr/lib/rpm/brp-python-bytecompile python27 | scl enable %{PYTHON} - ; \
	    /usr/lib/rpm/redhat/brp-python-hardlink; \
	    %{!?__jar_repack:/usr/lib/rpm/redhat/brp-java-repack-jars}
%else
	%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
%endif

Name:		packetexaminer
Version:	0.9
Release:	1%{?dist}
Summary:	PacketExaminer - Analyze PCAP files
Group:		System Environment/Libraries
License:	GPL3
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/joemcmanus/packetexaminer
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	python-setuptools
Requires:	python3 python3-scapy python3-prettytable

%description
This is a harness to perform PCAP analysis that a security engineer may do during an incident response
or when looking at network security. I - Joe McManus - found myself using a collection of tools and techniques
again and again and thought it would be helpful to create a program that would do this for me. This hopefully
automates some routine functions you would do manually.

%prep
%setup

%build
echo Nothing to build

%install
%__install -d %{buildroot}%{_bindir}
%__install packetexaminer.py %{buildroot}%{_bindir}/packetexaminer

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc training/dnsExample.py training/dnsPlotExample.py training/geoIPExample.py training/httpExample.py training/ipExample.py training/packetTimeAgg.py training/PFIC2018-PythonTraining.pdf training/plotlyExample.py training/sortedIPExample.py README.md
%defattr(644,root,root,755)
%attr(755, root, root)	%{_bindir}/*
%license LICENSE

%changelog
* Fri Nov  9 2018 Lawrence R. Rogers <lrr@cert.org> 0.9-1
* Release 0.9-1
	Initial release
